Index: group.php
===================================================================
--- group.php	(revision 0)
+++ group.php	(revision 0)
@@ -0,0 +1,14 @@
+<?php
+
+class Group extends AppModel {
+
+	var $name = 'Group';
+	var $actsAs = array('Acl' => array('requester'));
+ 
+	function parentNode() {
+    	return null;
+	}
+
+}
+
+?>
\ No newline at end of file
Index: user.php
===================================================================
--- user.php	(revision 0)
+++ user.php	(revision 0)
@@ -0,0 +1,27 @@
+<?php
+class User extends AppModel {
+
+    var $name = 'User';
+    var $displayField = 'first_name';
+    
+	var $belongsTo = array('Group');
+	var $actsAs = array('Acl' => array('requester'));
+ 
+	function parentNode() {
+    	if (!$this->id && empty($this->data)) {
+        	return null;
+    	}
+	    $data = $this->data;
+	    if (empty($this->data)) {
+    	    $data = $this->read();
+	    }
+	    if (!$data['User']['group_id']) {
+    	    return null;
+    	} else {
+        	return array('Group' => array('id' => $data['User']['group_id']));
+	    }
+	}
+
+}
+
+?>
Index: project.php
===================================================================
--- project.php	(revision 0)
+++ project.php	(revision 0)
@@ -0,0 +1,8 @@
+<?php
+# manage the data for projects
+
+class Project extends AppModel {
+	var $name = 'Project';
+	
+}
+?>
\ No newline at end of file
